Page MenuHomePhabricator

Graphs are overlapping with next line in readmode
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Insert a graph
  2. Insert anything after that graph text/ any focusable node/ another graph
  3. Save the page

Observed Result:
In read mode the graph is overlapping with next line

Details

Related Gerrit Patches:
mediawiki/extensions/Graph : wmf/1.27.0-wmf.8Fix graphs overlapping with next line in readmode
mediawiki/extensions/Graph : masterFix graphs overlapping with next line in readmode

Event Timeline

Ryasmeen created this task.Dec 7 2015, 7:49 PM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 7 2015, 7:49 PM
Ryasmeen set Security to None.
Jdforrester-WMF triaged this task as High priority.Dec 8 2015, 8:12 PM
Jdforrester-WMF added subscribers: Yurik, ferdbold.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Maybe we should add some larger padding around each?

Yurik added a subscriber: JGirault.Dec 8 2015, 8:14 PM
Yurik added a comment.Dec 8 2015, 8:25 PM

Should each graph behave like a "large character"? This way the regular spacing between the lines would apply to it as well? I'm not a CSS expert though.

Change 257797 had a related patch set uploaded (by JGirault):
Fix graphs overlapping with next line in readmode

https://gerrit.wikimedia.org/r/257797

Change 257797 merged by jenkins-bot:
Fix graphs overlapping with next line in readmode

https://gerrit.wikimedia.org/r/257797

Change 257810 had a related patch set uploaded (by Catrope):
Fix graphs overlapping with next line in readmode

https://gerrit.wikimedia.org/r/257810

Change 257810 merged by jenkins-bot:
Fix graphs overlapping with next line in readmode

https://gerrit.wikimedia.org/r/257810

Ryasmeen closed this task as Resolved.Dec 14 2015, 10:01 PM
Ryasmeen added a project: Verified.